org.apache.ignite.internal.managers.collision

## Class GridCollisionManager

- java.lang.Object
- - org.apache.ignite.internal.managers.GridManagerAdapter<CollisionSpi>
  - - org.apache.ignite.internal.managers.collision.GridCollisionManager

All Implemented Interfaces:
  GridComponent, GridManager

    public class GridCollisionManager
    extends GridManagerAdapter<CollisionSpi>

This class defines a collision manager.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridCollisionManager(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onCollision(Collection<CollisionJobContext> waitJobs, Collection<CollisionJobContext> activeJobs, Collection<CollisionJobContext> heldJobs)` Invoke collision SPI.
`void` `setCollisionExternalListener(@Nullable CollisionExternalListener lsnr)`
`void` `start()` Starts grid component.
`void` `stop(boolean cancel)` Stops grid component.
`void` `unsetCollisionExternalListener()` Unsets external collision listener.

### Methods inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, enabled, getSpi, getSpi, getSpis, inject, onAfterSpiStart, onBeforeSpiStart, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, startInfo, startSpi, stopInfo, stopSpi, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCollisionManager

    public GridCollisionManager(GridKernalContext ctx)

Parameters:
  `ctx` - Grid kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Stops grid component.

Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### unsetCollisionExternalListener

    public void unsetCollisionExternalListener()

Unsets external collision listener.

#### setCollisionExternalListener

    public void setCollisionExternalListener(@Nullable
                                             @Nullable CollisionExternalListener lsnr)

Parameters:
  `lsnr` - Listener to external collision events.

#### onCollision

    public void onCollision(Collection<CollisionJobContext> waitJobs,
                            Collection<CollisionJobContext> activeJobs,
                            Collection<CollisionJobContext> heldJobs)

Invoke collision SPI.

Parameters:
  `waitJobs` - Collection of waiting jobs.
  `activeJobs` - Collection of active jobs.
  `heldJobs` - Collection of held jobs.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022